# schedule_propagation_offset function

(Shortest import: `from brian2.core.network import schedule_propagation_offset)`

brian2.core.network.schedule_propagation_offset(net=None)

  Returns the minimal time difference for a post-synaptic effect after a spike. With the default schedule, this time difference is 0, since the `thresholds` slot precedes the `synapses` slot. For the GeNN device, however, a post-synaptic effect will occur in the following time step, this function therefore returns one `dt`.

  Parameters:

    net : `Network`

    > The network to check (uses the magic network if not specified).

  Returns:

    offset : `Quantity`

    > The minimum spike propagation delay: `0*ms` for the standard schedule but `dt` for schedules where `synapses` precedes `thresholds`.

  Notes

  This function always returns `0*ms` or `defaultclock.dt` – no attempt is made to deal with other clocks.